Issue 76164

Summary: Graphic Styles window causing unexpected redraw, leaving glitchy graphics
Product: Draw Reporter: asiansteev <asiansteev>
Component: editingAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 2.2Keywords: oooqa
Target Milestone: ---   
Hardware: All   
OS: Windows XP   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
a sequence of screenshots showing the redraw problem none

Description asiansteev 2007-04-07 03:03:21 UTC
When a Graphics Styles menu window is open, and the style is changed and a
different tab is selected in the menu, the previously changed styles are applied
to the graphics prematurely (before "okay") is pressed.  This doesn't seem like
an issue, except if the user presses cancel, the redrawn graphics remain even
though no new style was applied.  Follow the steps below to reproduce this
problem.  A sequence of screen shots are attached.

1. Draw any shape (a rect in our example)
2. Right-click on the shape, and click "Edit Style"
3. Alter pretty much anything (for this example, under the "Line" tab, change
width to 0.50"
4. Click another tab ("Transparency")
5. Drag the "Graphics Styles" window across the shape underneath.  It will
redraw the shape under the path of the window with the changes made in step 3.
6. Click "Cancel" on the "Graphics Styles" window.  The part of the shape that
was directly under the window will redraw with the original settings, but the
changes will stay applied to the changed "dragged" area.
Comment 1 asiansteev 2007-04-07 03:04:29 UTC
Created attachment 44263 [details]
a sequence of screenshots showing the redraw problem
Comment 2 cno 2007-04-07 10:58:59 UTC
With me, changes disappear after changing window and returning.
Seem problem of window-refreshing.
Same for you?
Comment 3 ace_dent 2007-04-07 11:22:32 UTC
Confirmed with OOo2.2 WinXP PC.
When changing tabs in 'Edit Style' for a shape, the shape is redrawn using the
new style changes. This is probably a defect (since the style has not yet been
applied), and is unexpected by the User. When Cancelling the changes in 'edit
style' the shape is not re-drawn automatically, so the changes are still visible
until the window is re-drawn.
Comment 4 asiansteev 2007-04-07 13:18:57 UTC
Re: cornouws
I think what you're saying is that the problem goes away when a new window is
selected (forcing a redraw).  This is correct.  The problem is not permanent, it
goes away when anything forces a redraw.
Comment 5 wolframgarten 2007-04-10 08:53:21 UTC
Reproducible. Reassigned.
Comment 6 wolframgarten 2008-05-23 15:10:34 UTC
Target changed.
Comment 7 Marcus 2017-05-20 10:47:57 UTC
Reset assigne to the default "issues@openoffice.apache.org".